# $Revision: 1.59.2.1 $, $Date: 2006/07/17 18:55:39 $
#
# WARNING: BETA versions of openmotif are using higher soname
# than STABLE one so please don't use beta versions here because
# when stable version somes out everything would need to be recompiled
# using ,,stable soname''. Check out CURRENT= in configure.{in,ac}.
#
Summary:	OpenMotif
Summary(pl):	OpenMotif
Name:		openmotif
Version:	2.2.3
Release:	6
License:	Open Group Public License
Group:		X11/Libraries
Source0:	http://ftp.ics.com/pub/Products/Motif/om%{version}/src/openMotif-%{version}.tar.gz
# Source0-md5:	94c96a0f94ee0d5e41d3dba2188b263d
#Source1:	%{name}-%{version}-icsextra.tgz
Source2:	mwmrc
Source3:	mwm.RunWM
Source5:	mwm-xsession.desktop
Source6:	ac_find_motif.m4
Patch0:		%{name}-makedepend.patch
Patch1:		%{name}-am-uil.patch
Patch2:		%{name}-mwmrc.patch
Patch3:		%{name}-gcc34.patch
Patch4:		%{name}-bison.patch
Patch5:		%{name}-CVE-2005-3964.patch
URL:		http://www.openmotif.org/
BuildRequires:	XFree86
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
Provides:	motif = 2.2
# Not restricted, lesstif provided library version 1.2
# OpenMotif provide library version 2.1
#Obsoletes:	lesstif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# FHS compliance
# (software must not be installed through /usr/{lib,include}/X11 links)
%define		xbitmapsdir	/usr/X11R6/include/X11/bitmaps
%define		xlibdir		/usr/X11R6/lib/X11

%description
Motif is the user interface standart in the Enterprise for
applications that run on UNIX platforms for Sun, HP, IBM, Compaq, SGI,
and others.

%description -l pl
Motif jest standardem wygldu interfejsu graficznego dla aplikacji
dziaajcych w rodowiskach UNIX takich jak Sun, HP, IBM, Compaq, SGI
i inne.

%package clients
Summary:	OpenMotif clients
Summary(pl):	OpenMotif - programy klienckie
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	lesstif-clients

%description clients
Uil and xmbind.

%description clients -l pl
uil i xmbind.

%package devel
Summary:	OpenMotif devel
Summary(pl):	Pliki nagwkowe OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	XFree86-devel
Provides:	motif-devel = 2.1
Obsoletes:	lesstif-devel

%description devel
Header files for OpenMotif.

%description devel -l pl
Pliki nagwkowe dla bibliotek OpenMotif.

%package static
Summary:	OpenMotif static
Summary(pl):	Statyczne biblioteki OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	motif-static
Obsoletes:	lesstif-static

%description static
OpenMotif static libraries.

%description static -l pl
Biblioteki statyczne OpenMotif.

%package demos
Summary:	OpenMotif demos
Summary(pl):	Programy demonstracyjne do OpenMotif
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description demos
OpenMotif demos.

%description demos -l pl
Programy demonstracyjne do OpenMotif.

%package libs
Summary:	OpenMotif shared libraries
Summary(pl):	Biblioteki wspdzielone OpenMotif
Group:		Libraries
Conflicts:	openmotif < 2.2.3-0.3

%description libs
OpenMotif shared libraries.

%description libs -l pl
Biblioteki wspdzielone OpenMotif.

%package mwm
Summary:	Motif window manager
Summary(pl):	Motifowy zarzdca okien
Group:		X11/Window Managers
Requires:	%{name} = %{version}-%{release}
Requires:	xinitrc-ng
Obsoletes:	lesstif-mwm

%description mwm
A BETA release of mwm. It is derived from fvwm, with a new parser that
understands mwmrc syntax, and a general understanding of Mwm
resources.

%description mwm -l pl
Wersja BETA mwm. Pochodzi z fvwm, ma nowy parser rozumiejcy skadni
mwmrc oraz zasoby Mwm.

%package compat
Summary:	Fake OpenMotif compat libraries
Summary(pl):	Dowizania udajce biblioteki kompatybilnoci OpenMotif
Group:		Libraries
Requires:	%{_libdir}/libXm.so.3.0.2
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libXm.so.1()(64bit)
Provides:	libXm.so.2()(64bit)
%else
Provides:	libXm.so.1
Provides:	libXm.so.2
%endif

%description compat
Fake OpenMotif compat libraries (symlinks to current libXm library,
_some_ old programs may work with them).

%description compat -l pl
Dowizania udajce biblioteki kompatybilnoci OpenMotif (dowizania
symboliczne do nowej wersji biblioteki libXm, _niektre_ stare
programy mog z nimi dziaa).

%prep
%setup -q -n openMotif-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
#%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	--enable-shared \
	--enable-static

%{__make} clean
# workaround: fails with multiple jobservers
%{__make} -j1

# workaround - don't let rebuild onHelp with wrong options during %%install
#touch demos/lib/Xmd/onHelp.o demos/lib/Xmd/onHelp

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/motif,%{_datadir}/xsessions} \
	$RPM_BUILD_ROOT{/etc/{sysconfig/wmstyle,X11/mwm},%{_aclocaldir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bmdir=%{xbitmapsdir} \
	binddir=%{xlibdir}/bindings

cd demos
%{__make} clean
cp -a * $RPM_BUILD_ROOT%{_examplesdir}/motif
cd ..

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/mwm/system.mwmrc

install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/mwm.sh
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/xsessions/mwm.desktop
install %{SOURCE6} $RPM_BUILD_ROOT%{_aclocaldir}

ln -sf libXm.so.3.0.2 $RPM_BUILD_ROOT%{_libdir}/libXm.so.2
ln -sf libXm.so.3.0.2 $RPM_BUILD_ROOT%{_libdir}/libXm.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE COPYRIGHT.MOTIF RELNOTES
%{xbitmapsdir}/*
%{xlibdir}/bindings

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uil*
%attr(755,root,root) %{_bindir}/xmbind
%{_mandir}/man1/uil.1*
%{_mandir}/man1/xmbind.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/Mrm
%{_includedir}/Xm
%{_includedir}/uil
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/DNDDemo
%attr(755,root,root) %{_bindir}/airport
%attr(755,root,root) %{_bindir}/autopopups
%attr(755,root,root) %{_bindir}/draw
%attr(755,root,root) %{_bindir}/earth
%attr(755,root,root) %{_bindir}/filemanager
%attr(755,root,root) %{_bindir}/fileview
%attr(755,root,root) %{_bindir}/getsubres
%attr(755,root,root) %{_bindir}/helloint
%attr(755,root,root) %{_bindir}/hellomotif
%attr(755,root,root) %{_bindir}/i18ninput
%attr(755,root,root) %{_bindir}/panner
%attr(755,root,root) %{_bindir}/periodic
%attr(755,root,root) %{_bindir}/piano
%attr(755,root,root) %{_bindir}/sampler2_0
%attr(755,root,root) %{_bindir}/setDate
%attr(755,root,root) %{_bindir}/simpledrop
%attr(755,root,root) %{_bindir}/todo
%attr(755,root,root) %{_bindir}/wsm
%attr(755,root,root) %{_bindir}/xmanimate
%{_examplesdir}/motif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files mwm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mwm
%dir %{_sysconfdir}/X11/mwm
%config %{_sysconfdir}/X11/mwm/*
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
%{_datadir}/xsessions/mwm.desktop
%{_mandir}/man1/mwm.1*
%{_mandir}/man4/*

%files compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXm.so.1
%attr(755,root,root) %{_libdir}/libXm.so.2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openmotif.spec,v $
Revision 1.59.2.1  2006/07/17 18:55:39  glen
- merge -compat package from HEAD
- CVE-2005-3964 (buffer overflows in libUil)
- rel 6

Revision 1.59  2004/08/07 19:32:08  havner
- rel 3 for R:xinitrc-ng

Revision 1.58  2004/07/25 09:25:20  qboosh
- added bison patch, use bison instead of byacc to build

Revision 1.57  2004/07/09 18:25:51  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.56  2004/07/09 17:56:21  havner
- removed wmstyle/mwm.names, it's obsolete now

Revision 1.55  2004/07/07 17:47:16  qboosh
- cleanup

Revision 1.54  2004/07/07 05:58:04  qboosh
- strict internal deps

Revision 1.53  2004/07/06 23:40:16  arekm
- yes, it's stable version now (previous 2.2.3 were BETA)
- yes, everything linked with openmotif needs to be recompiled again
- add BIG FAT warning about BETA versions usage

Revision 1.52  2004/07/06 23:02:09  arekm
- quote %%

Revision 1.51  2004/07/06 22:46:36  arekm
- updated

Revision 1.50  2004/04/27 12:42:31  adgor
- Added gcc34.patch
- Restored mwmrc.patch
- Aneone means to revise commented out patches stuff?

Revision 1.49  2004/04/24 21:33:42  arekm
- rel 1

Revision 1.48  2004/03/07 16:53:53  adgor
- Separated -libs
- Release 0.3

Revision 1.47  2004/02/09 21:51:38  qboosh
- -devel R: XFree86-devel

Revision 1.46  2004/02/09 21:27:07  qboosh
- added ac_find_motif.m4 (from lesstif) to -devel for lesstif compatibility
- removed some dead sped lines, release 0.2

Revision 1.45  2004/01/29 15:41:24  adgor
- wmconfig is obsolete

Revision 1.44  2004/01/21 20:40:39  arekm
- started update; builds but needs checking

Revision 1.43  2003/11/19 15:56:49  qboosh
- some FHS compliance, added *.la to -devel; release 0.8

Revision 1.42  2003/11/11 01:33:23  ankry
- caps unification, other cosmetics

Revision 1.41  2003/09/28 11:39:06  adgor
- added desktop file for gdm/kdm support

Revision 1.40  2003/07/05 10:57:41  kosmo
- fixed empty changelog in revision 1.39 (sorry about this)

Revision 1.39  2003/07/05 10:52:12  kosmo
- BR: XFree86

Revision 1.38  2003/06/27 21:14:46  qboosh
- BR: ac,am,lt

Revision 1.37  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 05:51:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/04/06 21:14:29  qboosh
- killed subshell

Revision 1.34  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.33  2003/02/05 05:58:27  juandon
- now it is in state 'buduje si'

Revision 1.32  2003/02/02 22:09:04  juandon
- update to 2.2
- changed URL for Source
- Release 0.7
- need more work!

Revision 1.31  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.30  2002/08/14 06:12:32  jack
- BR: flex

Revision 1.29  2002/07/21 17:36:05  kloczek
- remove %doc gzipping from %install

Revision 1.28  2002/07/13 14:41:24  marcus
- use new %%doc
- rel.8.

Revision 1.27  2002/07/13 14:37:11  mmazur
- fixed building on ppc

Revision 1.26  2002/03/26 01:18:29  ankry
- fixed mwm menu generation; release 7

Revision 1.25  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/02 20:44:28  ankry
- adding es/fr Group translations

Revision 1.23  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2002/01/17 20:19:22  qboosh
- some cosmetics, added workaround so build succeeds now
- note: byacc is required, doesn't build with bison...
- release 6

Revision 1.21  2001/11/23 12:34:36  qboosh
- s/Copyright/License/, adapterized, -mwm pl description

Revision 1.20  2001/09/20 17:49:20  filon
- added Provides: motif to main package
- added version information to Provides: motif-devel
- cosmetics

Revision 1.19  2001/09/17 22:27:54  filon
- added touch clients/mwm/mwm.man, this file should exist
- changed build patch: added one line to config/cf/host.def
- release 5, now builds

Revision 1.18  2001/06/14 09:12:45  klakier
- typo

Revision 1.17  2001/05/02 16:29:11  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/08/29 14:09:41  baggins
- release 4
- mwm requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.15  2000/06/24 13:03:50  baggins
- release 3
- added new mwmrc configs
- move mwm config to /etc/X11/mwm
- added patch to do so
- mwm requires wmconfig >= 0.9.8-3

Revision 1.14  2000/06/18 09:45:49  kloczek
- fiew cosmetics.

Revision 1.13  2000/06/18 07:21:58  cieciwa
- typo,
- added Obsoletes: lesstif in package devel, clients, mwm

Revision 1.12  2000/06/12 13:37:44  baggins
- release 2
- added provides motif-devel and motif-static

Revision 1.11  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/06/08 17:20:53  baggins
- changed app-defaults paths
- does not rewuire X 4.0

Revision 1.9  2000/06/07 21:51:23  baggins
- small cleanup in demos package

Revision 1.8  2000/06/07 20:28:49  baggins
- getsubres is a demo

Revision 1.7  2000/06/07 20:03:27  baggins
- requires Xlibs >= 4.0

Revision 1.6  2000/06/07 20:02:52  baggins
- (build)requires X >= 4.0

Revision 1.5  2000/06/07 19:31:11  baggins
- added clients, demos, mwm packages
- cleaned up build, install and files
- added build, mwm patches
- added ics addons

Revision 1.4  2000/06/06 18:26:49  baggins
- added makedepend patch
- it compiles!

Revision 1.3  2000/05/22 17:23:05  cieciwa
- startde compile process, but founding too many errors.
  Don't know in my machine - or in source.

Revision 1.2  2000/05/18 09:05:04  cieciwa
- added devel and static package.

Revision 1.1  2000/05/18 08:29:20  cieciwa
- initail spec.
